using UnityEngine;
using System.Collections;

public class MouseScrollPill : Pill {
	
	private float rotateTime = 3.0f;
	private float timeLeft;
	
	private float targetAngle;
	
	private Camera camera;
	
	public override void attach(World world, Camera camera, Owl owl) {
		this.camera = camera;
		camera.GetComponent<OwlCamera>().margin = Mathf.Min (Screen.width/2.0f, Screen.height/2.0f);
	}
	
	public override void update(float dt, float totalTimeLeft) {
	}
	
	public override Color getColor() {
		return Color.red;
	}
	
	public override void destroy() {
		camera.GetComponent<OwlCamera>().margin = 10.0f;
	}
}
